Subject: Re: [Teas] Stephen Farrell's No Objection on draft-ietf-teas-te-express-path-03: (with COMMENT)

From: Alia Atlas <[email-masked]>
Date: Thu, 1 Oct 2015 09:59:34 -0400

Hi Stephen,

On Wed, Sep 30, 2015 at 7:04 PM, Stephen Farrell <[email-masked]>
wrote:

> Stephen Farrell has entered the following ballot position for
> draft-ietf-teas-te-express-path-03: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-teas-te-express-path/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
>
> - The shepherd write up says no IPR declarations, but the tracker
> disagrees. Did the WG consider the (in this case fairly innocuous)
> IPR declaration? [1]
>
>    [1] https://datatracker.ietf.org/ipr/2200/
>
> - Are there unexpanded acronyms here? Be worth a pass to check.
>

The ones that I checked are all in the RFC Editor's well-known ones.

> - section 1: "plagued prior attempts" screams out that it needs a
> reference or two.
>

This is referring to the ARPANET's effort to use metrics a long time
back.  I've seen the metric function - and it was a bit naive.  I don't have
a good reference for it, though.

- section 4: I'm surprised there is no mention of the possible
> impact of (D)DoS on this. Couldn't that affect path selection based
> on metrics? If so, shouldn't you say how?
>

I'm not sure what you are thinking of??  The performance metrics are
based on running averages (15 minutes or more) to avoid substantial
oscillation; this is covered in RFC 7471.   The path computation is a
control-plane function that primarily operates on "reserved bandwidth"
as well as these performance metrics.

Regards,
Alia